#!/bin/csh

setenv DISPLAY	:0.0

set	APP_HOME=.
set	DIR_REL=${APP_HOME}/lib
set	DIR_LIB=${APP_HOME}/lib

set LIB_XERCES=${DIR_LIB}/xerces.jar
set LIB_LOG4J=${DIR_LIB}/log4j-1.2.8.jar
set LIB_CHART=${DIR_LIB}/nanchart.jar:${DIR_LIB}/JimiProClasses.jar

set	CLASSPATH=${LIB_XERCES}:${LIB_LOG4J}:${LIB_CHART}
set	CLASSPATH=${CLASSPATH}:${DIR_REL}/util.jar:${DIR_REL}/util_dmn.jar
set CLASSPATH=${CLASSPATH}:${DIR_REL}/ftpclient.jar:${DIR_REL}/fxuti.jar:${DIR_REL}/ratemixer.jar::${DIR_REL}/ratemixer_fx.jar:
set	CLASSPATH=${CLASSPATH}:${DIR_REL}/fxchart.jar:.

set NAME="-Dapp.name=FxChart"
set LOG4J="-Dlog4j.configuration=config/CmnLog.xml"
set CONFIG="-DDaemonManager.config=config/daemon.xml"

java ${NAME} ${LOG4J} ${CONFIG} -cp ${CLASSPATH} \
	jp.co.sds_corp.util.daemon.manager.DaemonManager $*
#	jp.co.sds_corp.util.daemon.manager.JMXManager $*
